v0.1.6.4 2005年06月12日(日）
FIX: 正規表現の不具合修正
FIX: キャレットが行末にあるとき←キーで左に移動できないのを修正

v0.1.6.3 2005年06月10日（金）
FIX: Dat変換の効率化
FIX: ポップアップ関連の修正
FIX: GetAttribPairで属性値がダブルクォーテーションで囲まれていない場合の修正
FIX: 中止ボタンが効かないのを修正
FIX: したらば仕様変更 書き込み後のレスポンス
FIX: TWriteForm.OnWritten GetErrMsg()のlimit と errPosの範囲

v0.1.6.2 2005年03月31日(木)
FIX: ポップアップからのNGword追加、ツリーアウトライン化
FIX: Ctrl + MouseDown and MouseMoveでポップアップMoveになるのが、MouseMoveにならずMouseUpしたら切る
CHG: BeLoginでの書き込み警告
ADD: be プロフィールポップアップ

v0.1.6.1 2005年03月26日(土)
FIX: HRでも末尾の空白を削除
FIX: 画像ポップアップのビットマップ削除
FIX: WMCopyDataの送信に関する修正
ADD: font要素のcolor属性を16色に限りRGB値でなく色の名前で指定できるようにした
CHG: AAListの機能をコンポーネント化
ADD: AAを削除
DEL: AAエディターを削除
FIX: TDat2View.FlushのProcessMessage後のCancel処理
FIX: 続 TDat2View.FlushのProcessMessage後のCancel処理
FIX: THogeTextView.SearchForward(),SearchBackward()のAnsiStrLICompでKernelエラーが出ているような気がした. SearchBackwardのHighLightレンジの配列が逆順.
FIX: NGに追加
FIX: inherited忘れ

v0.1.6 2005年03月13日(日)
ADD: 検索バーでも検索履歴(Enter押しで保存される)
CHG: ツリー化・アウトライン化で範囲制限
CHG: Jpegの展開でJpeg判定を先頭３バイトのみに. Susie Plug-Inを優先する.
CHG: 更新チェックの鯖落ちチェック削除
CHG: Ctrl+クリックでのポップアップの移動にシステムコマンドの移動をつかう
FIX: 設定ダイアログのタブオーダーの修正
FIX: 書き込み警告のダイアログが出た場合、名前欄・メール欄の保存がうまくいかない場合があるのを修正
FIX: session.datの保存でミスがあったので修正
FIX: 検索履歴・名前履歴・メール履歴の保存
FIX: XPで「ウィンドウを最大化や最小化するときにアニメーションで表示する」が有効の場合、タスクトレイからの復帰のアニメーションが変
FIX: 起動時に板ツリーの検索バーのサイズが正しくない場合がある
FIX: 増しレスのバグ修正
FIX: SETTING.TXTの改行コード変換
FIX: 書き込み警告のバイト数上限をsubjectcountとするところをmessagecountにしてた
FIX: ポップアップのスクロールボタンへのXP視覚効果適用の修正の修正
FIX: 検索ハイライトで行末の１バイトをハイライトできなかった
FIX: AAListのサイズ制限
FIX: スレ絞込み検索で空文字で検索した場合もスレ欄をソート.
FIX: 起動時に板ツリーが非表示にもかかわらず、メインツールバーの板ツリー表示切替ボタンが押した状態になっていたのを修正
FIX: font要素が複数行にまたがっている場合の修正
FIX: URIに が含まれているときURIをそこで切る
FIX: レス番クリックでツリー・アウトラインポップアップを消す(koreawatcher氏)

v0.1.5.1 2005年02月24日(木)
FIX: リロード制限時間が経過していない状態で、更新チェックをするとアクセス違反になるのを修正
FIX: 「今のタブで開く」でスレッドを開いた場合、「開いているスレにマーク」が残るのを修正
ADD: 「開いているスレにマーク」をオプション化(設定ダイアログのスレ欄項目にチェックボックスがあるよ)
FIX: スレビューの検索バーのレス抽出ボタンの機能不全修正

v0.1.5 2005年02月23日(水)
ADD: お気に入りフォルダから更新チェック
ADD: スレ一覧で、「開いているスレッド」「閉じないスレッド」にマーク(*)
ADD: スレ一覧で、「開いているスレッドを上へソート」「重要スレ・チェックされたスレッドを上へソート」
ADD: 機能板に、開いているスレッドの一覧「OpenThreads」
ADD: スレ一覧から「スレッドを閉じる」「閉じないスレに指定する」
CHG: スレッドツールバーを整理
CHG: 設定ダイアログを整理
CHG: リロード制限の最小値をスレ一覧で2秒、スレッドで1秒にした(デフォルト値もこの値)
FIX: Archiverのメモリリーク
FIX: スレ欄からのログ削除がうまくいかないときがあった
FIX: タスクトレイからの復帰でフォームが一番手前にくるように
FIX: スレ欄からスレッドを閉じた場合のタブが見えなくなる問題の対策(ちょっとあやしいけどほっとく)
FIX: XP視覚効果でRadioButtonの背景色が透過になっていなかった

050214 0.1.4.3
FIX: milkcafeで書き込み後の振る舞い
FIX: ポップアップのスクロールバーのXP視覚効果
FIX: XP視覚効果非適用時だとListViewのヘッダーが起動時に表示されない
FIX: スレッドあぼ～ん時のちらつき回避
FIX: スレッドあぼ～ん後に一番上に戻るのを回避
FIX: 過去ログに対してスレッドあぼ～んすると解除できない
FIX: 板一覧内検索・スレ一覧内検索・スレ絞込み検索での大文字小文字を区別しない検索ができていなかった

050213 0.1.4.2
FIX: スレタイを含むポップアップの改行

050213 0.1.4.1
CHG: User-Agentの変更(2ch以外だよ) (Mozilla/3.0 (compatible; JaneLovely [Version]; [Windowsのバージョン])
FIX: ！ソート、増しレスソートを調整
CHG: EUC_JPからSHIFT_JISへの変換でEUC_JPかどうか確認するのを止めた
FIX: スレ内検索で大文字小文字を区別しない検索の不具合修正

050206 0.1.4
CHG: TMemoをTntMemo(Unicode対応らしい)にしてみるテスト(WindowsXP視覚効果での不具合への対処)
FIX: スタンバイに移行時のOS機能呼び出し失敗エラー回避(画像ビューアー)
FIX: エクスプローラー再起動後のタスクトレイアイコンの復帰
QUE: ToolbarにComboBoxを置くとエクスプローラー再起動後にシステムエラー
ADD: 色つきコテハン
ADD: 通信の強制切断(スレの通信だけ)

050202 0.1.3.17
FIX: スレビューでスクロールバーから最上部・最下部へジャンプしたときに範囲選択反転がおこる場合がある
CHG: スキンのIMGタグの処理
FIX: ちょっと見るで「charset=UTF-8」の判定を大文字小文字関係なくする
FIX: ポップアップのキーワードハイライトの色設定の反映
ADD: スレ内検索バー
CHG: 検索バーを使用しないオプションを廃止
ADD: レス抽出とログから検索でAND.OR
ADD: searchimg.bmpの導入
ADD: ヒントに影(WindowsXPだけ)
FIX: ヒントがリンク部分に重なる場合がある
FIX: スタンバイに移行時のOS機能呼び出し失敗エラー回避

050128 0.1.3.16
FIX: キャレットスクロール非同期の場合リサイズ後にキャレットの位置にスクロールしない
CHG: sqlite.dllを含まない
CHG: ニュースバーのリセット
FIX: メモ欄のメールボックスにname.datの内容をセット
FIX: スレ一覧に下線が残る場合がある
ADD: NGEx対象URI/タイトル(タイトルも)

050126 Version0.1.3.16 β2
Sageチェックボックスを効くように
メモ欄の名前欄とメール欄でのAutoCompleteを切る

050126 Version0.1.3.16 β
NGEx対象URI/タイトル(タイトルはまだ)
NGExのメモリリークに関する修正の修正
スレッドあぼ～ん・NGThread拡張
　透明・ふつう・重要スレ指定とかレスのあぼ～んと同じ感じ
すべて開く系を板のクリック時の動作と無関係にする
設定で色・フォント関係の修正

050122 Version0.1.3.15
・デバッグしただけですが

050121 Version0.1.3.14
・キャレットのスクロール同期が無効の場合のPageUpとPageDownの挙動の修正
・スキンで<MESSAGE/>のかわりに<MESSAGENOBR/>を使うと本文中の改行を無視

050121 Version0.1.3.13a
・一番目のスレが見えなくなる不具合の修正

050121 Version0.1.3.13
・外部コマンドの$TEXTIUを修正
・スレッドあぼ～んの表示切替
　透明：スレ一覧から見えなくなる
　さぼり：スレ一覧にグレーで表示される
　はきだめ：あぼ～んしたスレ、NGスレッドにひっかかったスレのみ表示される
　切り替えはメインメニューのスレ欄－スレッドあぼ～んの表示変更から。
・板別スキン
スキンフォルダに以下の内容のようなCustomSkin.iniを作る
[スキンの名前]
Header=Header.htmlの内容
Res=Res.htmlの内容
NewRes=Res.htmlの内容
PopupRes=PopupRes.htmlの内容
NewMark=NewMark.htmlの内容
BookMark=BookMark.htmlの内容

各項目は改行せずに1行で書いてください。記述されていない項目はDefaultのスキンになります。
板別スキンを適用するにはスレ一覧のタブ右クリックメニューのもっと変えたいβのサブメニューで。


050118 Version0.1.3.11a
・レス抽出に関する再修正

050118 Version0.1.3.11
・WriteWait自動追記、カウントダウン補正
・レス抽出に関する修正

050117 Version0.1.3.10b
・IDの文字列に2バイト文字が含まれる場合に関する修正

050117 Version0.1.3.10a
・リンククリックでレスジャンプしない不具合を修正

050116 Version0.1.3.10
・右クリックでキャレットの位置のリンクではなくマウスのカーソルの位置のリンクを取得
・マウス中クリックオートスクロール中はポップアップを出さない
・ポップアップから「選択単語でレス抽出」できない不具合を修正
・抽出タブなどから選択範囲を「NGWordsに追加」できるように
・過去ログ非表示オプション
　単に過去ログをスレ覧に表示しないだけです。
　デフォルトの設定は、設定ダイアログのスレ欄項目のページにあるです。
　あとはかつての過去ログ非表示オプションと同じです。よろしくです。
・スレッドあぼ～んしたスレを表示オプション
　スレッドあぼ～んしたスレとNGThreadにひっかかったスレがグレーで表示される
　スレッドあぼ～ん解除でスレッドあぼ～んを解除(NGThreadにひっかかったスレは解除できません)
・IDに関するコードの書き直し
・ポップアップヒントのサイズ制限オプション追加
　設定ダイアログのひんとのページでポップアップヒントの幅と高さを設定してください。0,0で無制限です。
・外部コマンド拡張
　①新規プレフィックス/,+,!を追加
　　・コマンドの名前の頭に/を付けると、スレビュー右クリックメニューだけに表示される
　　・コマンドの名前の頭に+を付けると、レス番クリックメニューだけに表示される
　　・コマンドの名前の頭に!をつけると、ステータスバー右クリックメニューだけに表示される
　　　　・$LINKをニュース記事へのURLに置換します
　②置換文字列拡張
　　・$BASEPATH (アプリケーションフォルダ)
　　・$LOGPATH（ログのベースフォルダ）
　　・$TEXTIX, $TEXTX (EUCでURLエンコード)
　　・$TEXTIU, $TEXTU (UTF-8でURLエンコード)
　　・$NUMBER
　　　　・レス番クリックメニューからコマンドを実行したときのレス番を示す　　
　　　　・レス番以外のメニュー(名前に+のないもの)では単に長さゼロの文字列で置換される
　③URLの先頭に$LOVELYを付けると、URLをLovelyWebBrowserで開く

050113 Version0.1.3.9
・スレビューのキャレットのスクロール非同期
・スレビューでShift+Clickで範囲選択
・Beのユーザープロフィールを表示できない不具合を修正

050113 Version0.1.3.8
・書き込み欄でもWriteWait
・Beの変更

050111 Version0.1.3.7
・書き込み欄でBeLoginしている状態でもボタンが押ささっていない不具合を修正
・Beと朝生以外でBeLoginして書き込もうとした場合、警告を出す

050111 Version0.1.3.6
・スレビューのタブを閉じたあとの動作にMDI標準(Zオーダーが最も高いスレをアクティブにする)を追加
・スレビューですべてのタブを閉じたとき、「このタブを閉じない」のタブがある場合、それらのうちZオーダーが最も高いスレをアクティブにする
・Beでは書き込み欄のプレビューでトリップーキーをsjis2eucコンバート
・レス抽出で曜日が含まれる場合、抽出できない不具合を修正
・アドレスバーの右クリックメニューに「貼り付けて移動」を追加
・検索バー関連
　スレ絞込み検索と板一覧で使用可能
　検索の種類：通常検索、Migemo検索、正規表現検索
　通常検索とMigemo検索では、インクリメンタル、
　マルチワード(and・or、複数のワードを空白で区切る)、全半角一致オプション可。検索バーのコンテキストメニューで設定。
　検索バー内ではメインメニューなどのショートカットキーを無効に。(ついでにメモ欄でも無効にした)
　検索バー内のショートカット
　コピー Ctrl + C
　切り取り Ctrl + X
　貼り付け Ctrl + V
　すべて選択 Ctrl + A
　クリアー Ctrl + E
　など(検索バーのコンテキストメニュー参照)。
　

050110 Version0.1.3.5
・Be以外でのスレ立て時のスレッドタイトル文字化け不具合修正

050109 Version0.1.3.4
・Beでログから検索できない不具合修正
・Beで書き込み・スレ立て文字化け不具合修正

050109 Version0.1.3.3
・beでレスアンカーポップアップの文字化け、
　レス番号Ctrl+右クリックのツリーポップアップの文字化け、
　2バイト文字でレス抽出できない不具合の修正

050109 Version0.1.3.2
・Be.2ch掲示板に対応
　Be.2ch掲示板に書き込むには設定ダイアログのUserページで
　「メールアドレス」と「認証コード」を設定してください。
　Be.2ch掲示板でない2chの掲示板でBEにログインして書き込むにはメモ欄・書き込み欄の
　「コテハン警告」ボタンの右の「BeLogin」ボタン(ちょっとみずらい)を押してください。
　be.2ch.netの板とSETTING.TXTのBBS_BE_IDが1の板(今のところ面白ネタnews板と朝生板)には
　「BeLogin」ボタンが押してあるかどうかにかかわらずログインします。

050108 Version0.1.3.1
・曜日計算の修正
・ウィンドウの挙動の鈍さを低減
・ID着色にともなうDat変換速度低下の低減
・Beの曜日の後ろに出てくるやつへの対応(ちょっと適当)
・起動時に最大化が変になることがある不具合の修正
・KeyconfのArrowRightとArrowLeftが反対なのを修正
・session.datのフォーマットの変更(バージョンアップしてから最初の起動で「このタブを閉じない」などの設定は失われますがスレッドを開くだけならできるらしい)
・Open Janeの更新の取り込みです
　すべての鯖で.dat.gzを探してから.datを探すように変更
　スレ覧項目のCtrl+↑,↓の挙動がおかしいのを修正
　Windowsのユーザー名を変えると●のパスワードが保存できない不具合の再修正

session.datのフォーマット
URI[TAB]Left[TAB]Top[TAB]Right[TAB]Bottom[TAB]状態[TAB]「このスレを閉じることができるかどうか」
例)
http://ex7.2ch.net/morningcoffee/
http://pc5.2ch.net/win/
http://pc5.2ch.net/software/
http://ex7.2ch.net/test/read.cgi/morningcoffee/1103689605/[TAB]0[TAB]0[TAB]306[TAB]580[TAB]0[TAB]0
http://jane.s28.xrea.com/test/read.cgi/bbs/1102228085/[TAB]306[TAB]0[TAB]612[TAB]580[TAB]0[TAB]1

041228 Version0.1.3.0
・Migemo検索搭載
　スレ絞込みにC/Migemoによるローマ字インクリメンタル検索を使用できるようになりました
　Migemo検索を使用するにはhttp://www.kaoriya.net/より
　cmigemo-1.2-dll.tar.bz2「バイナリ(DLL) 1.2 リリース版 for Windows (1.16MB = 1224936)」  
　をダウンロードしてきてmigemo.dllとmigemo-dictのパスを
　janelovelyの設定ダイアログの「検索・更新」ページから設定してください
　(han2zen.dat、hira2kata.dat、roma2hira.datはmigemo-dictと同じフォルダにいれたままにしておいてください)　

041227 Version0.1.2.3
・ハイライトキーワード
・Gifの修正
・GarbageにいったHogeTextViewに背景色などの変更が反映されないのを修正

041225 Version0.1.2.0
・プラグインなしでGIFを展開可能に
・OpenJaneの更新(StrSub.pasのReplaceStrの修正)
・SusiePluginの使用不使用を指定できるようにした
　ビューア設定のプラグインダブで設定、使用しないプラグインのリストはDeniedSPI.txtに保存される
・板ツリー、メモ欄の状態記憶

041224 Version0.1.1.2
・スレビューを重ねて表示するときに0で割り算とかやってたので修正
・スキンのimgタグで指定した画像のファイルが存在しなかった場合の対応に問題があったので修正(スレを読み込めなかったり、ちょっと見るビューワーを開くとJaneが落ちたりしてた)

041222 Version0.1.1.0
・スレビューMDI化
　窓(W)メニューやスレッドツールバーの右から2番目のボタンから
　スレビューを上下に並べて表示したりできます。
・「終了時に開いていたスレ・板を次回起動時に開く」用のファイルlast.datを
　使わずにsession.datに保存。起動時にはsession.datがあればsession.datから、
　なければlast.datからスレ・板を開きます。

　session.datの形式

　板のURI=
　スレのURI=WindowのLeft,WindowのTop,WindowのRight,WindowのBottom,Windowの状態,このスレを閉じることができるかどうか

　　Windowの状態：1なら最大化、0なら普通のウィンドウ
 　 このスレを閉じることができるかどうか：1なら閉じることができる、0ならとじることができない

例)
http://ex7.2ch.net/morningcoffee/=
http://pc5.2ch.net/win/=
http://pc5.2ch.net/software/=
http://ex7.2ch.net/test/read.cgi/morningcoffee/1103689605/=0,0,306,580,0,0
http://jane.s28.xrea.com/test/read.cgi/bbs/1102228085/=306,0,612,580,0,1
 
　


041211 Version0.1.0.9
・画像キャッシュ一覧からキャッシュ削除の際の不具合の修正
・メモ欄のトップバーの表示・非表示保存

041211 Version0.1.0.8
・画像キャッシュ一覧改良
・メモ欄のAA欄を変えた

041209 Version0.1.0.7
・WindowsXPスタイルに対応
・NGExで同じ登録名を許す可能性があるのを修正

041205 Version0.1.0.6
・HRのオフセットが設定されない不具合の修正
・ステイタスバーポップアップメニューの位置修正
・dat変換のスピードアップ
＜OpenJaneの更新 (Sat Nov 27 11:36:54 2004 UTC)＞
・TViewItem.WriteSkinがsizeよりも1byte余分に書き込んでしまう場合がある不具合を修正
・subject.txtに無いスレはURIを変更しない

041202 Version0.1.0.5
・サイズ調整の不具合修正

041201 Version0.1.0.4
・LovelyWebBrowserの不具合修正
・スレッドあぼ～んの修正

041129 Version0.1.0.3
・スレッドを閉じても既読にならない不具合を修正

041129 Version0.1.0.2
・しばらくスレ一覧を更新していないと更新に時間がかかることがあるので、それを回避
・スレ一覧更新時のちらつき回避
・スレ一覧からログ削除・スレッドあぼ～んの確認ダイアログを出さない
・SETTING.TXTを開くタイミングを変更
・dat,idxのクリップボードへのコピーが切り取りになる不具合を修正
・トレース画面縮小
・メモ欄、板欄

041121 Version0.1.0.1
・スレ欄に同じスレッドが二つ表示される不具合を修正
・スキン用の画像で透明色のPNGサポート
・メモ欄と書き込み欄の両方を使用しているとアプリケーションが落ちる不具合を修正

041118 Version0.1.0.0
・レス番右クリックで出てくるやつの修正
  『JaneDoe　Lovely　Part4』の309さん(◆Style/kK.s氏？)に感謝
・SQLiteを用いたデータベースによるデータの管理
・書込み欄の機能をメモ欄に移動
・板欄自動表示・非表示
・板の全ログ削除、お気に入り以外全ログ削除廃止
・スレをリロードしたとき新着があったとき、新着がなかったとき、
　その他のときにそれぞれkakiko.wav、nokakiko.wav、err.wavの音を鳴らす。
・last.datのバックアップを作る。last.datを保存する前に、last.dat.backをつくる
・NGThread搭載。半角・全角、大文字・小文字は区別し、キーワードをスレタイに含むスレをスレ一覧
　から消す。ログがある場合は過去ログ状態になります。
・JBBSShitaraba, JBBSで掲示板にスレがひとつだけしかない場合、
　スレ欄にスレが表示されなかったり過去ログになってしまうのを修正
・エクスプローラからスレ欄にDATファイルをドラッグ＆ドロップで板にログを追加。
　すでにログがある場合は追加しません。
・スキンの拡張。
　■hrタグ対応。color属性で色指定可能(RRGGBB or #RRGGBB)
　■背景画像の指定をHeader.htmlのbodyタグに移動。
　　backgroundでファイル名(Skinフォルダからの相対パス)
　　valignでtop,center,bottomを、halignでleft,center,bottomを指定。
　■bodyタグにleftmargin、rightmarginを追加。
　■imgタグを追加。Header.html、ResHtml、NewRes.html、PopupRes.html、BookMark.html、NewMark.html
　　のどれでも使用可。srcでファイル名を指定。
　　alignでoverlapを指定すると後続のテキストに重ねて表示します。

　例：<hr>　(デフォルトのボーダー)
　　　<hr color="#00FF00">　(緑色のボーダー)
　　　<body background="file.jpg" valign="top" halign="left" leftmargin="8" rightmargin="8">
　　　<img src="file.bmp"> 
　　　<img src="file.png" align="overlap">


041025 Version0.0.15.15
メモ欄にプレビュウー機能を追加
レス番着色、ID着色の修正

041022 Version0.0.15.14
板の読込を速くするのとき、スレッドの取得レス数などの情報がちょっと前のになることがある不具合を修正
オートリロード、オートスクロールのメモリリーク修正
アプリケーションが非アクティブ時はIDポップアップしないようにした
メモ欄にてCtrl+Aですべて選択
タスクトレイ格納時、アイコン右クリックでポップアップメニューを出す
メニューのオートリロード・オートリロードをオーロリロード・オートスクロールに修正

041020 Version0.0.15.13
更新チェック後、更新があるのに更新なしのスレがある不具合を修正、したつもり

041020 Version0.0.15.11
更新チェック後、お気に入りを板として開く動作の修正
メモリリーク修正
壁紙が上下にずれないように

041019 Version0.0.15.10a
2ペインで更新チェックの後、すべて開く設定になってる場合でも
開くスレがなければスレビューに移動しないようにした、の修正

041019 Version0.0.15.10
更新チェック修正

041019 Version0.0.15.9
・更新チェック
　　更新チェック後、板として開いたお気に入りのスレ欄が設定どうりにソートしないのを修正
　　更新チェック後、更新のあるスレをすべて開く際に新たにお気に入りに追加したスレが開く対象にならないのを修正

041018 Version0.0.15.8
・更新チェック
　　2ペインで更新チェックの後、すべて開く設定になってる場合、開くスレがなければスレビューに移動しないようにした
　　更新ﾁｪｯｸ後の確認ダイアログの表示
　　バックグラウンドで更新ﾁｪｯｸ
　　鯖落ちチェック
起動時に最大化したとき、画面いっぱいにならないことがある不具合を修正
起動時にアドレス違反が出ることがあるのを修正
WriteWaitを0に設定した場合の修正

041015 Version0.0.15.7
更新チェックの修正とか微調整

041014 Version0.0.15.6
スレ欄項目の変更を再起動後ではなく、すぐに反映
更新チェック改良
ツールバーに更新チェック用のボタン
板の全タブリロード（ツールバーの更新ボタンを右クリック）
ツールバーのアイコンが変わっているのでカスタマイズしてる人はmtoolimg.bmpを変更して下さい

041012 Version0.0.15.5
ウィンドウの左端に板ツリー表示切替をするバーを追加
ツールバーとリンクバーに右クリックメニュー(ツールバー、リンクバー、アドレスバー、メニューの表示の切替をする)
お気に入りのフォルダの名前変更をF2キーで開始できないのを修正
OpenJaneの更新

041008 Version0.0.15.4
スレッドタイトル検索修正

040930 Version0.0.15.3
再描画時のエラー回避
メモリリーク潰し
　Main.pas　initialURL
　View\UPopupButtons.pas　Timer
　View\UImageViewer.pas　TabNavigateIcon、TempFileList
　AIAI\UImageViewCacheListForm.pas　CacheList
　AIAI\UNews.pas　storedSetting
OpenJaneの更新 Tue Sep 28 13:39:43 2004 UTC
したらばのURL対応を少し汎用的に (lxc)
　

040928 Version0.0.15.2
過去ログだと「このレスをAAlistに登録」が使えないのを修正
トレース画面を最小にしたままにするとでてこなくなっちゃうのを修正(高さの最小値を2にしたのでちょっと見えちゃう)
ちょっと軽くなったかも

040926 Version0.0.15.1
スレ一覧の！マークカラムのソートでdat落ちスレが上がってくることがないようにした
板の自動ソート設定を変更
　設定-スレ欄項目-「板のソート」、「ログ一覧ソート、お気に入りのソート」で
　それぞれどの項目でソートするか選んでください
スプラッシュスクリーンと起動サウンドを追加
　Jane2ch.exeがあるフォルダにsplash.bmpを置いておくとその画像がスプラッシュスクリーンになります。
　スプラッシュスクリーンの大きさは縦横ともにモニターの半分になります。
　Jane2ch.exeがあるフォルダにstartup.wavを置いておくと起動時に再生されます。

040926 Version0.0.15
UserAgentをJane2chからJaneLovelyにかえた
リロード制限をユーザー側で設定できるようにした(設定-操作で)

040925 Version0.0.14.9
キャッシュ一覧でキャッシュが一つだけの時に削除したりブラクラ登録すると無限ループする不具合を修正
スレタイ右クリックで>>1ポップアップを設定にかかわらず常にポップアップし、多段を許すようにした
IDポップアップをレス番のポップアップと同じようにした
ちょっと見るの文字の色と形状をattrib.txtのTextAttrib0(通常の文字)とTextAttrib1(リンク部分)に従うようにした
スレ欄項目で～～時間以内に立ったスレを！でチェックが無効にならないのを修正
OpenJane の更新 (Fri Sep 24 14:42:31 2004 UTC by lxc)
したらばのURL対応を少し汎用的

040923 Version0.0.14.8.1
●の不具合修正

040923 Version0.0.14.8
したらばのドメインをjbbs.livedoor.jpにしてみるテスト
新規カテゴリー、新規板がJaneから作成できないのを修正
マルチディスプレーでウィンドウの位置が正しく保存されないのを修正

040922 Version0.0.14.7
画像キャッシュ閲覧機能でメモリリークしてたっぽいのを修正

040922 Version0.0.14.6
メモ欄の表示場所をスレビューの下、スレ一覧の下に切替可能に、
　切替はメインメニューの「表示」から
画像キャッシュ閲覧機能
　メインメニューの「画像」-「キャッシュ一覧」
勢いの計算でタイムゾーンを考慮してなかったのを修正
メインメニューの「スレ欄」-「ソート」に「勢い」、「増レス」を追加

040921 Version0.0.14.5
スクロールの負荷軽減
スレビューの背景画像を伸縮しないようにした
スレビューの背景画像の配置を左上、左下、右上、右下から選択できるようにした
スレビューの背景画像にJPEG, PNGを使用可
メインメニューのビューアの設定を「設定」-「ビューア設定」に移動
ビューア設定の実験室タブに読み込んでいるSusieプラグインの情報を表示
LovelyBrowserの位置保存
末尾整形のチェック保存

040918 Version0.0.14.4
書き込み欄でAlt+Nで名前欄、Alt+MでMail欄にカーソルがいかなくなってたのを修正
あぼーんでIDが残るバグを修正
ポップアップからNGIDに追加すると再描画に失敗する不具合を修正
ID右クリックメニューに「このIDをあぼーん」、「このIDを透明あぼーん」を追加
　NGIDに登録せず、現在開いているスレにのみ適用されます
起動時のアドレスバーやリンクバーの位置復元時のちらつき抑止
OpenJane NightlyBuild Sat Sep 18 18:59:37 2004 UTC まで取り込み
・起動時ちらつきの抑止(view)
・HTMLひんとのGETで内容によってはJaneがフリーズする不具合を修正(view)

040918 Version0.0.14.3
KaizouJaneのソースコードからスレッドあぼ～んをマージ(多謝)
manifest適用時の検索窓のコンボボックスの文字化け修正
更新チェック後に更新のあるスレッドをすべて開く（設定で）
メインメニューのスレ欄に○○をすべて開くを追加
ID着色修正

040918 Version0.0.14.2
・NightlyBuild 04/09/17 12:21(UTC)
最大化して終了すると起動時にちらつくのを修正
ウィンドウの位置がきちんと保存されないのを修正 by nbk184
name.datに「<板名>」付の名前がある場合、エラーが多発するバグを修正

040917 Version0.0.14.1
・NightlyBuild 04/09/16 15:13(UTC)まで取り込み
ウィンドウの位置がきちんと復元されないのを修正 by ep7prs
コピーライトに蜜柑 ◆Mikan70j12、◆....Ep7prs、おさ＠J典 ◆JtenNG/SWE、◆184NBKmVW6の4名を追加
・ホイールメッセージをマウスカーソル下のコントロールに送る
【初心者】Janeを弄るスレ【歓迎】　その2
http://jane.s28.xrea.com/test/read.cgi/bbs/1067059929/604
に感謝しよう！

040917 Version0.0.14
板の読み込みを速くしてみたの調整
全タブリロードをちょっと変えた

040915 Version0.0.14 test
板の読み込みを速くしてみた
「設定」-「その他2」-「板の読み込みを速くする」にチェックで有効になります
これにともない、過去ログ表示・非表示のデフォルトの設定をなくしました
起動したときは過去ログを含めすべてのログを読み込むことになります

040914 Version0.0.13-2
CMYK形式のJPEGでオーバーフローする不具合を修正(View ◆tCDoSWbtb.氏・koreawatcher ◆9iLyiaWJOQ氏に感謝)
memoimg.bmp対応

040914 Version0.0.13-1
発言数に応じたIDの色変化のしきい数のが常に5になってたのを修正

040913 Version0.0.13
リンクされたレス番を着色　ひとつのレスに複数のアンカーがある場合に対応
発言数に応じたIDの色変化
XPスタイルに微妙に対応(sample.zipにあるJane2ch.exe.manifestをJane2ch.exeと同じフォルダにいれて)
メモ欄の名前欄、メール欄などをそれぞれ動かせるようにした

040911 Version0.0.12-1
リンクされたレス番を着色を微妙に調整

040911 Version0.0.12
リンクされたレス番を着色

040911 Version0.0.11-3
確認ダイアログの音を変えてみた
IDポップアップをはやくしてみた

040909 Version0.0.11-2
「新着チェック時に既得レスを描き直す」と「最期までスクロールしたスレを既得に」が有効の場合
最後までスクロールした際に既得レスを描き直すようにした

040909 Version0.0.11-1
書き込み欄から、TABキーを一度押すと書き込みボタンにフォーカス
IDの右クリックメニューからのNGIDに追加
メモリリーク修正(“２ちゃんねるブラウザ「OpenJane」改造総合スレ9”http://jane.cun.jp/test/read.cgi/win/1064951726/217,342)
「メインメニュー」-「窓」-「次のタブ」、「前のタブ」で更新があるスレッドを表示した時にリロード
壁紙をスレビューの左側でなく右側に設置
Janeをタスクトレーに格納した際、画像ビューアが残らないようにした
最小化時にタスクトレイに格納(「設定」-「基本」-「その他」で設定)
ビューアの「設定」-「実験室」にあったあぼーんの設定を「設定」-「機能」-「あぼーん」-「Option」に移した
レス番クリックメニューに、「メモ欄で引用つきレス」、「内容をコピー」、「参照と内容をコピー」、「レスの内容をAAlistに追加」を追加
書き込みウィンドウにも末尾整形(チェックがあるかないかは記憶しない)
検索履歴を保存するかしないか設定できるようにした
スレタイ右クリックで>>1をポップアップする際、ポップアップウィンドウ上にマウスの矢印があると右クリックメニューが出てくるのを修正
ちょっと見るの一時ファイルがLogパスの設定にかかわらず、(Jane2ch.exeがあるフォルダ)\Logs\2chに保存されるのを修正

040908 Version0.0.11
「～をすべて開く」が板に関する操作ではなくスレに関する操作にしたがっていたのを修正
板ツリーから「～をすべて開」いた場合、それ以前にタブを右クリックしたスレ一覧の「～をすべて開く」不具合を修正
「メインメニュー」-「スレ」の「オートスクロール」と「オートリロード」のチェックが逆になっていたのを修正
「メインメニュー」-「板欄」に板一覧を展開せず、「板一覧」のサブメニューに展開するようにした
選択範囲をAAlistに登録

2-293氏のソースコードから(感謝)
UHttpManage.pasのメモリリーク修正
過去ログ表示・非表示
スレビューに壁紙を設置(Bitmapだけ)

040905 Version0.0.10
最後までスクロールで既読にする
検索履歴消去でエラーが出ることがある不具合を修正
抽出タブ見ながら別のスレに書き込もうとするとエラーが出る不具合を修正
ちょっと見るを開いた後スレ立て窓を開いたときタイトルのバーと名前のバーがひっくり返る不具合を修正
WriteWait中にスレ立て窓を開くとエラーが出る不具合を修正
スレ立てに対してWriteWaitが効かない不具合を修正
オートスクロールだけ、およびオートリロードだけできるようにした
オートスクロールの設定をユーザーが細かく設定できるようにした
現在見ているスレに対してのみオートスクロール、およびオートリロードするようにし、
見るスレが変わった場合どちらも止めるようにした

040904 Version0.0.9-2
ニュース機能を改良
datとidxをクリップボードにコピーしてエクスプローラーに貼り付けできるようにした
WriteWait中書き込み欄を開くボタンを有効にした
書き込み後に書き込み欄を閉じる設定にしてない場合、書き込み欄のｶｷｺする部分にフォーカス

040902 Version0.0.9-1
更新チェックで板を開かないようにした
板をひとつも開いていない場合スレッドタイトル検索が使用できない不具合を修正

040901 Version0.0.9
任意の板のすべてのログの削除、お気に入り以外のログの削除を追加
「スレタブ右クリック」-「既読にして閉じる」、「スレ一覧右クリック」-「既読にする」
アクティブでない板に対して、過去ログ表示・非表示の切り替えをするとアクティブな板のスレ一覧が消えるバグを修正
過去ログを非表示の場合スレのidxを読み込まないバグを修正
スレットタイトル検索を追加(黒改より 多謝)
ニュース機能なるものを追加（実験）

040901 Version0.0.8-1
last.datに保存される板のURIがすべてアクティヴな板のURIになるのを修正

040901 Version0.0.8
過去ログの表示・非表示を切り替え可能にした
モ娘(狼)で名前欄を空白で書き込みをしようとした場合、名前を「名無し募集中。。。」にするようにした
「設定」-「その他」-「リロードする際それまでのレスをすべて既読にする」にチェックでそうなる
その他、バグフィックス多数

040831 Version0.0.7-4
「○○をすべてを開く」で開けないことがあったので修正
現在開いているタブの更新チェックなるものを付けた

040830 Version0.0.7-3
メモ欄のIME状態を保存
名前欄とメール欄が空白でも保存されるときがあるのを修正
末尾整形(テスト)

040830 Version0.0.7-2
「メインメニュー」-「スレ」に「すべてのタブの新着チェック」を追加

040830 Version0.0.7-1
「メインメニュー」-「表示」-「LovelyBrowserを開く」がなかったので修正040830 Version0.0.7

040830 Version0.0.7
IDポップアップ修正(ID:???はポップアップしない)
ちょっとしたWebBrowserを搭載
スレ一覧のタブの右クリックメニューに更新のあるスレッドすべて開く、
お気に入りで更新のあるスレッドをすべて開く、お気に入りをすべて開く
を追加
メモ欄のバーを動かせるようにした
フォントの設定がおかしくなるのを修正(暫定)

040829 Version0.0.6
IDポップアップ追加
トレース画面のデフォルトのフォント設定がおかしいのを修正
メモ欄表示・非表示切り替え
OpenJaneのヘルプとopenjane.txtを新しいのした

040828 Version0.0.5-1
レス抽出などのタブを閉じれないバグを修正

040828 Version0.0.5
連鎖あぼーん(koreawatcher ◆9iLyiaWJOQ氏より)
「このタブは閉じない」を追加
更新があるスレのスレタブをシングルクリックでリロード
リロードでメモ欄にフォーカス
オートリロードの仕様変更

040827 Version0.0.4
NightlyBuild 04/08/26 16:33(UTC)の取り込み
更新チェック追加(OpenJane改造スレ http://pc5.2ch.net/test/read.cgi/win/1069005879/949-952より)
「未読」かつ「更新あり」のときスレ一覧の！カラムの画像が「未読」の画像になるのを
「更新あり」時の画像(緑色の矢印)になるように変更
スレ一覧の！カラムの「未読」の画像を緑色のチェックに変更
「更新あり」のスレのスレタブの文字色を変更できるようにした（デフォルトは緑）
「スレタブ右クリック」－｢既読にする｣を追加
トレース画面のメッセージの取りこぼしたやつを差し替え、更新チェック用のメッセージを
使えるようにした（sample.zip内のtrace.txtの下から2行目と3行目）


040827 Version0.0.3
trace画面のメッセージを変更(ほかにもいくつかメッセージを変更) (JaneAyayaより)
まちBBSで投稿日に曜日が2重に表示されるのを修正(まちBBSでは初めから日付に曜日がついているので日付の後ろに半角空白がない場合は曜日計算しないようにした)
ちょっと見るをつけた(Jane黒、黒改より)

040826 Version0.0.2
投稿日の年が4桁の場合でも曜日が表示できるようにした。
オートリロードandオートスクロール付けた。
アイコン変えた。

040825 Version0.0.1-1
メモ欄の高さが0のとき起動するとメモ欄が出てこないのでJaneを終了するときメモ欄の高さが0なら
高さを1にして保存するようにしました。

040824  Version0.0.1
koreawatcher ◆9iLyiaWJOQ氏がView氏作成のOpenJaneView0905aを修正したものをベースにしました。
名前をOpenJaneDoeLovelyにしました。
ソースコードを公開しました。


040822
・スレ一覧のソートを修正
・スレの描画速度の向上

040821
OpenJaneDoe α 0.1.12.0を改造

・全タブ新着チェック
	～新着チェックボタンを右クリック

・スレ一覧の！カラムのマーク
	～新規スレッド、24時間以内に立てられたスレッドにマークをつける

・スレ一覧に勢いカラムと増レスカラムを追加
	～勢いは、レス数を立てられてから現在までの時間の3乗で割った値（よくわからない）
	増レスは前回スレ一覧を更新したときのレス数と今回更新したときのレス数の差
・WriteWait
  
・タブの色の変化
	～新着があるスレのタブは文字の色が青
	新着チェック中のスレのタブは文字色がオレンジ
	現在開いているスレのタブは背景の色が白
	WriteWait中のスレのタブは背景の色が薄くなる

・検索履歴の保存
	～search.datに保存

・メモ欄

・投稿日に曜日追加

・簡易AAエディタ
	～AAlist.txtに登録してあるAAを書き換えるだけ
	右クリックで上書き保存
	一行AAは一行AA、二行以上のAAは二行以上のAAとして保存


ToDo
・板ごとにデフォルトの名前とメールを設定できるようにする
・AAlist.txtにAAを追加登録できるようにする
・画像ビューアをつける